Qt 5.8 | Qt 3D | C++ Classes | QDirectionalLight

Qt 5.8.0 Reference Documentation

# QDirectionalLight Class

(Qt3DRender::QDirectionalLight)

Encapsulate a Directional Light object in a Qt 3D scene. More...

Header: | #include <QDirectionalLight>
qmake: | QT += 3drender
Since: | Qt 5.7
Instantiated By: | DirectionalLight
Inherits: | Qt3DRender::QAbstractLight

- List of all members, including inherited members

## Properties

- worldDirection : QVector3D

- 3 properties inherited from Qt3DRender::QAbstractLight
- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QDirectionalLight(Qt3DCore::QNode *parent = nullptr)
QVector3D | worldDirection() const

- 3 public functions inherited from Qt3DRender::QAbstractLight
- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setWorldDirection(const QVector3D &worldDirection)

- 2 public slots inherited from Qt3DRender::QAbstractLight
- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | worldDirectionChanged(const QVector3D &worldDirection)

- 2 signals inherited from Qt3DRender::QAbstractLight
- 1 signal inherited from Qt3DCore::QComponent
- 3 signals inherited from Qt3DCore::QNode

## Protected Functions

| QDirectionalLight(QDirectionalLightPrivate &dd, Qt3DCore::QNode *parent = nullptr)

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Encapsulate a Directional Light object in a Qt 3D scene.

## Property Documentation

### worldDirection : QVector3D

Specifies the world direction of the directional light

Access functions:

QVector3D | worldDirection() const
void | setWorldDirection(const QVector3D &worldDirection)

Notifier signal:

void | worldDirectionChanged(const QVector3D &worldDirection)

## Member Function Documentation

### QDirectionalLight::QDirectionalLight(Qt3DCore::QNode *parent = nullptr)

Constructs a new QDirectionalLight with the specified parent.

### `[protected]` QDirectionalLight::QDirectionalLight(QDirectionalLightPrivate &dd, Qt3DCore::QNode *parent = nullptr)

Copy constructor.